Skip to content
This repository
Newer
Older
100644 39 lines (33 sloc) 1.671 kb
433dae25 » yabawock
2010-09-27 Whitespace Cleanup
1 # encoding: utf-8
7f01af4b » kou
2011-06-03 switch to gemspec generated by bundler. #535 #548
2 $:.push File.expand_path("../lib", __FILE__)
3 require "formtastic/version"
433dae25 » yabawock
2010-09-27 Whitespace Cleanup
4
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
5 Gem::Specification.new do |s|
7f01af4b » kou
2011-06-03 switch to gemspec generated by bundler. #535 #548
6 s.name = %q{formtastic}
7 s.version = Formtastic::VERSION
8 s.platform = Gem::Platform::RUBY
9 s.authors = [%q{Justin French}]
10 s.email = [%q{justin@indent.com.au}]
ab530b72 »
2011-06-09 bumped the version to 2.0.0.rc1
11 s.homepage = %q{http://github.com/justinfrench/formtastic}
7f01af4b » kou
2011-06-03 switch to gemspec generated by bundler. #535 #548
12 s.summary = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
13 s.description = %q{A Rails form builder plugin/gem with semantically rich and accessible markup}
7f01af4b » kou
2011-06-03 switch to gemspec generated by bundler. #535 #548
14
15 s.files = `git ls-files`.split("\n")
16 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
17 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
18 s.require_paths = ["lib"]
19
fb507a2b »
2009-05-17 Bumped gem version to 0.1.8, which includes three major changes:
20 s.rdoc_options = ["--charset=UTF-8"]
7f01af4b » kou
2011-06-03 switch to gemspec generated by bundler. #535 #548
21 s.extra_rdoc_files = ["README.textile"]
22
23 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
eeba8d40 »
2010-08-28 new gemspec
24 s.rubygems_version = %q{1.3.6}
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
25
cb409db8 » alsemyonov
2011-09-25 Depend in runtime only on ActionPack
26 s.add_dependency(%q<actionpack>, ["~> 3.0"])
59cc0d8e »
2011-01-12 remove Rails 2 from gemspec
27
62ba2f72 »
2012-01-15 use rspec 2.8 final
28 s.add_development_dependency(%q<rspec-rails>, ["~> 2.8.0"])
791b4773 »
2010-09-24 simplified the shit out of the gemspec
29 s.add_development_dependency(%q<rspec_tag_matchers>, [">= 1.0.0"])
f53d4401 » dbackeus
2010-11-05 Add hpricot as development dependency.
30 s.add_development_dependency(%q<hpricot>, ["~> 0.8.3"])
649bc6b2 »
2011-01-19 add BlueCloth to dev deps
31 s.add_development_dependency(%q<BlueCloth>) # for YARD
cb2f0455 »
2011-01-18 add YARD to development dependencies, some basic .yardopts, and ignor…
32 s.add_development_dependency(%q<yard>, ["~> 0.6"])
050ef126 »
2011-03-29 Added new rcov tasks, made spec_and_verify_coverage the default rake …
33 s.add_development_dependency(%q<rcov>, ["~> 0.9.9"])
34 s.add_development_dependency(%q<colored>)
0c119b4e » sobrinho
2011-09-25 Add tzinfo as development dependency
35 s.add_development_dependency(%q<tzinfo>)
50836dde » yabawock
2011-12-26 Update development dependencies to remove most deprecation warnings
36 s.add_development_dependency(%q<ammeter>, ["~> 0.2.2"])
6c57b541 » yabawock
2011-12-26 Test formtastic with Rails 3.0-3.2 using appraisals
37 s.add_development_dependency(%q<appraisal>)
38 s.add_development_dependency(%q<rake>)
350bf0a2 »
2009-03-08 first cut of a gem rake task, gemspec and version 0.1.0 gem (I hope)
39 end
Something went wrong with that request. Please try again.